LoginForm(Database)/Models/BatchDetail.cs
//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace LoginForm_Database_.Models
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;

    public partial class BatchDetail
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public BatchDetail()
        {
            this.Ragistrations = new HashSet<Ragistration>();
        }
    
        public int Id { get; set; }

        public string Batch { get; set; }
       
        [Required(ErrorMessage = "Year is mandatory")]
        public int Year { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Ragistration> Ragistrations { get; set; }
    }
}

LoginForm(Database)/Controllers/BatchDetailsController.cs
using LoginForm_Database_.Models;
using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace LoginForm_Database_.Controllers
{
    public class BatchDetailsController : Controller
    {
        MVC_Demo1Entities db = new MVC_Demo1Entities();
        // GET: BatchDetails
        public ActionResult Index()
        {
            var data = db.BatchDetails.ToList();
            return View(data);
        }
        public ActionResult Create()
        {

            return View();
        }
        [HttpPost]
        public ActionResult Create(BatchDetail c)
        {
            if (ModelState.IsValid == true)
            {
                db.BatchDetails.Add(c);
                int a = db.SaveChanges();
                if (a > 0)
                {
                    TempData["createmsg"] = "Data Inserted";
                    return RedirectToAction("Index");
                }
                else
                {
                    TempData["createmsg"] = "Data not Inserted";
                }
            }

            return View();
        }
        public ActionResult Edit(int id)
        {
            var row = db.BatchDetails.Where(model => model.Id == id).FirstOrDefault();

            return View(row);
        }
        [HttpPost]
        public ActionResult Edit(BatchDetail c)
        {

            if (ModelState.IsValid == true)
            {
                db.Entry(c).State = EntityState.Modified;
                int a = db.SaveChanges();
                if (a > 0)
                {
                    TempData["Editmsg"] = "Data Edited";
                    return RedirectToAction("Index");
                }
                else
                {
                    TempData["Editmsg"] = "Data not Editted";
                }
            }
            return View();
        }

        public ActionResult Delete(int id)
        {
            if (id > 0)
            {
                var deleterow = db.BatchDetails.Where(model => model.Id == id).FirstOrDefault();
                if (deleterow != null)
                {
                    db.Entry(deleterow).State = EntityState.Deleted;
                    int a = db.SaveChanges();
                    if (a > 0)
                    {
                        TempData["Deletemsg"] = "Data deleted";
                        return RedirectToAction("Index");
                    }
                    else
                    {
                        TempData["Deletemsg"] = "Data not deleted";
                    }
                }
            }



            return RedirectToAction("Index", "BatchDetails");
        }
        public ActionResult Details(int id)
        {
            var detailsrow = db.BatchDetails.Where(model => model.Id == id).FirstOrDefault();

            return View(detailsrow);
        }
        
    }
}

LoginForm(Database)/Controllers/RagistrationsController.cs
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Net;
using System.Web;
using System.Web.Mvc;
using LoginForm_Database_.Models;

namespace LoginForm_Database_.Controllers
{
    public class RagistrationsController : Controller
    {
        private MVC_Demo1Entities db = new MVC_Demo1Entities();

        // GET: Ragistrations
        public ActionResult Index()
        {
            var ragistrations = db.Ragistrations.Include(r => r.BatchDetail).Include(r => r.CourseDetail);
            return View(ragistrations.ToList());
        }

        // GET: Ragistrations/Details/5
        public ActionResult Details(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Ragistration ragistration = db.Ragistrations.Find(id);
            if (ragistration == null)
            {
                return HttpNotFound();
            }
            return View(ragistration);
        }

        // GET: Ragistrations/Create
        public ActionResult Create()
        {
            ViewBag.Batch1 = new SelectList(db.BatchDetails, "Id", "Batch");
            ViewBag.Course1 = new SelectList(db.CourseDetails, "Id", "Course");
            return View();
        }

        // POST: Ragistrations/Create
        // To protect from overposting attacks, enable the specific properties you want to bind to, for 
        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Create([Bind(Include = "Id,Firstname,Lastname,Course1,Batch1,DOB,Semester,DOJ,Mbl")] Ragistration ragistration)
        {
            if (ModelState.IsValid)
            {
                db.Ragistrations.Add(ragistration);
                db.SaveChanges();
                return RedirectToAction("Index");
            }

            ViewBag.Batch1 = new SelectList(db.BatchDetails, "Id", "Batch", ragistration.Batch1);
            ViewBag.Course1 = new SelectList(db.CourseDetails, "Id", "Course", ragistration.Course1);
            return View(ragistration);
        }

        // GET: Ragistrations/Edit/5
        public ActionResult Edit(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Ragistration ragistration = db.Ragistrations.Find(id);
            if (ragistration == null)
            {
                return HttpNotFound();
            }
            ViewBag.Batch1 = new SelectList(db.BatchDetails, "Id", "Batch", ragistration.Batch1);
            ViewBag.Course1 = new SelectList(db.CourseDetails, "Id", "Course", ragistration.Course1);
            return View(ragistration);
        }

        // POST: Ragistrations/Edit/5
        // To protect from overposting attacks, enable the specific properties you want to bind to, for 
        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit([Bind(Include = "Id,Firstname,Lastname,Course1,Batch1,DOB,Semester,DOJ,Mbl")] Ragistration ragistration)
        {
            if (ModelState.IsValid)
            {
                db.Entry(ragistration).State = EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            ViewBag.Batch1 = new SelectList(db.BatchDetails, "Id", "Batch", ragistration.Batch1);
            ViewBag.Course1 = new SelectList(db.CourseDetails, "Id", "Course", ragistration.Course1);
            return View(ragistration);
        }

        // GET: Ragistrations/Delete/5
        public ActionResult Delete(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Ragistration ragistration = db.Ragistrations.Find(id);
            if (ragistration == null)
            {
                return HttpNotFound();
            }
            return View(ragistration);
        }

        // POST: Ragistrations/Delete/5
        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public ActionResult DeleteConfirmed(int id)
        {
            Ragistration ragistration = db.Ragistrations.Find(id);
            db.Ragistrations.Remove(ragistration);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        protected override void Dispose(bool disposing)
        {
            if (disposing)
            {
                db.Dispose();
            }
            base.Dispose(disposing);
        }
    }
}

LoginForm(Database)/Views/BatchDetails/Create.cshtml
@model LoginForm_Database_.Models.BatchDetail

@{
    ViewBag.Title = "Create";
}

<h2>BatchDetails</h2>
<p>@TempData["createmsg"]</p>



@using (Html.BeginForm()) 
{
    @Html.AntiForgeryToken()
    
    <div class="form-horizontal">
        
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        <div class="form-group">
            @Html.LabelFor(model => model.Batch, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Batch, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Batch, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Year, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Year, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Year, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Create" class="btn btn-default" />
            </div>
        </div>
    </div>
}

<div class="navbar navbar-inverse navbar-fixed-top">
    <div class="container">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            @*@Html.ActionLink("STUDENT MANAGEMENT SYSTEM", "Index", "Home", new { area = "" }, new { @class = "navbar-brand" })*@
        </div>
        <div class="navbar-collapse collapse">
            <ul class="nav navbar-nav">
                <li>@Html.ActionLink("COURSE", "Index", "CourseDetails")</li>
                <li>@Html.ActionLink("BATCH", "Index", "BatchDetails")</li>
                <li>@Html.ActionLink("REGISTRATION ", "Index", "Ragistrations")</li>
                <li>@Html.ActionLink("LOGOUT", "Logout", "Login")</li>
            </ul>
        </div>
    </div>
</div>




<div>
    @Html.ActionLink("Back", "Index")
</div>

LoginForm(Database)/Views/BatchDetails/Delete.cshtml
@model LoginForm_Database_.Models.BatchDetail

@{
    ViewBag.Title = "Delete";
}

<h2>Delete</h2>
<p>@TempData["Deletemsg"]</p>
<h3>Are you sure you want to delete this?</h3>
<div>
    <h4>BatchDetail</h4>
    <hr />
    <dl class="dl-horizontal">
        <dt>
            @Html.DisplayNameFor(model => model.Batch)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Batch)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Year)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Year)
        </dd>

    </dl>

    @using (Html.BeginForm()) {
        @Html.AntiForgeryToken()

        <div class="form-actions no-color">
            <input type="submit" value="Delete" class="btn btn-default" /> |
            @Html.ActionLink("Back to List", "Index")
        </div>
    }
</div>

LoginForm(Database)/Views/BatchDetails/Details.cshtml
@model LoginForm_Database_.Models.BatchDetail

@{
    ViewBag.Title = "Details";
}

<h2>Details</h2>

<div>
    <h4>BatchDetail</h4>
    <hr />
    <dl class="dl-horizontal">
        <dt>
            @Html.DisplayNameFor(model => model.Batch)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Batch)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Year)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Year)
        </dd>

    </dl>
</div>
<p>
    @Html.ActionLink("Edit", "Edit", new { id = Model.Id }) |
    @Html.ActionLink("Back to List", "Index")
</p>

LoginForm(Database)/Views/BatchDetails/Edit.cshtml
@model LoginForm_Database_.Models.BatchDetail

@{
    ViewBag.Title = "Edit";
}

<h2>Edit</h2>
<p>@TempData["Editmsg"]</p>
@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()
    
    <div class="form-horizontal">
        <h4>BatchDetail</h4>
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        @Html.HiddenFor(model => model.Id)

        <div class="form-group">
            @Html.LabelFor(model => model.Batch, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Batch, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Batch, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Year, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Year, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Year, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Save" class="btn btn-default" />
            </div>
        </div>
    </div>
}

<div>
    @Html.ActionLink("Back to List", "Index")
</div>

LoginForm(Database)/Views/BatchDetails/Index.cshtml
@model IEnumerable<LoginForm_Database_.Models.BatchDetail>

@{
    ViewBag.Title = "Index";
}

<h2>BatchDetails</h2>
<p>@TempData["createmsg"]</p>

<p>@TempData["Editmsg"]</p>
<p>@TempData["Deletemsg"]</p>

<p>
    @Html.ActionLink("Create", "Create")
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.Batch)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Year)
        </th>
        <th></th>
    </tr>

    @foreach (var item in Model)
    {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.Batch)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Year)
            </td>
            <td>
                @Html.ActionLink("Edit", "Edit", new { id = item.Id }) |
                @Html.ActionLink("Details", "Details", new { id = item.Id }) |
                @Html.ActionLink("Delete","", new { id = item.Id }) |

            </td>
        </tr>
    }

</table>
<div class="navbar navbar-inverse navbar-fixed-top">
    <div class="container">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            @*@Html.ActionLink("STUDENT MANAGEMENT SYSTEM", "Index", "Home", new { area = "" }, new { @class = "navbar-brand" })*@
        </div>
        <div class="navbar-collapse collapse">
            <ul class="nav navbar-nav">
                <li>@Html.ActionLink("COURSE", "Index", "CourseDetails")</li>
                <li>@Html.ActionLink("BATCH", "Index", "BatchDetails")</li>
                <li>@Html.ActionLink("RESGISTRATION ", "Index", "Ragistrations")</li>
                <li>@Html.ActionLink("LOGOUT", "Logout", "Login")</li>
            </ul>
        </div>
    </div>
</div>